/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { AnimationConfig } from '../canvas-animation';
type OnTickFunction = () => void;
/**
 * Basic animation. Holds current state: inProgress, timeLeft.
 * Additional params are useful to pass data which helps animating.
 */
export declare class Animation {
    animationTime: number;
    animationTimeLeft: number;
    animationStartTime: number;
    animationInProgress: boolean;
    onTickFunction?: OnTickFunction;
    constructor(animationConfig: AnimationConfig, onTickFunction: OnTickFunction);
    tick(): void;
    getProgress(): number;
    finishAnimation(): void;
}
export {};
