/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { hollowDirection, nameDirection } from '../../model/candle.model';
import VisualCandle from '../../model/visual-candle';
export const defaultCandleTransformer = (candle, { x, width, activeCandle }) => new VisualCandle(x, width, candle.open, candle.close, candle.hi, candle.lo, nameDirection(candle.open, candle.close), candle, true, getCandleIsActive(candle, activeCandle));
export const hollowCandleTransformer = (candle, { x, width, activeCandle, prevCandle }) => {
    var _a;
    return new VisualCandle(x, width, candle.open, candle.close, candle.hi, candle.lo, hollowDirection((_a = prevCandle === null || prevCandle === void 0 ? void 0 : prevCandle.close) !== null && _a !== void 0 ? _a : candle.close, candle.close), candle, true, getCandleIsActive(candle, activeCandle), candle.close > candle.open);
};
export const trendCandleTransformer = (candle, { x, width, activeCandle, prevCandle }) => {
    var _a;
    return new VisualCandle(x, width, candle.open, candle.close, candle.hi, candle.lo, nameDirection((_a = prevCandle === null || prevCandle === void 0 ? void 0 : prevCandle.close) !== null && _a !== void 0 ? _a : candle.close, candle.close), candle, true, getCandleIsActive(candle, activeCandle), candle.close > candle.open);
};
export const lineCandleTransformer = trendCandleTransformer;
export const getCandleIsActive = (candle, activeCandle) => {
    const isActive = activeCandle && activeCandle.id === candle.id;
    return isActive !== null && isActive !== void 0 ? isActive : false;
};
