/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { Candle } from '../../model/candle.model';
import { PartialCandle } from './chart.component';
/**
 * In the early days of Futures contract there is no much trading,
 * so there is not enough information to build a candle: only Open/Close value available.
 * In this case Daily candle, which we receive, must be completed to full OHLC with equal values.
 */
export declare const prepareCandle: (candle: PartialCandle) => Candle | undefined;
/**
 * Adds index to candles according to their array index.
 * @param candles
 * @param startIdx {number}
 */
export declare const reindexCandles: (candles: Array<Candle>, startIdx?: number) => void;
export declare const deleteCandlesIndex: (candles: Array<Candle>) => void;
export declare const isCandle: (value: Candle | undefined) => value is Candle;
