/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
/**
 * Formats price values for US Treasury contracts in 32nds format
 *
 * Examples:
 *
 * 132.015625 => 132'00 (0.015625 = 0.5/32)
 * 132.0625 => 132'02 (0.0625 = 2/32)
 *
 */
export declare const TREASURY_32ND: number;
export declare const treasuryPriceFormatter: (value: number) => string;
