/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { ChartBaseElement } from '../../model/chart-base-element';
import { DynamicObjectsDrawer } from './dynamic-objects.drawer';
import { DynamicObjectsModel } from './dynamic-objects.model';
export class DynamicObjectsComponent extends ChartBaseElement {
    constructor(canvasModel, drawingManager) {
        super();
        // model
        const dynamicObjectsModel = new DynamicObjectsModel(canvasModel);
        this.model = dynamicObjectsModel;
        this.addChildEntity(dynamicObjectsModel);
        // drawer
        const dynamicObjectsDrawer = new DynamicObjectsDrawer(dynamicObjectsModel, canvasModel);
        drawingManager.addDrawer(dynamicObjectsDrawer, 'DYNAMIC_OBJECTS');
    }
}
