/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { Drawer } from '../../drawers/drawing-manager';
import { CanvasModel } from '../../model/canvas.model';
import { DynamicObjectsModel } from './dynamic-objects.model';
export interface DynamicModelDrawer<T> {
    draw(canvasModel: CanvasModel, model: T, paneUUID?: string): void;
}
export declare class DynamicObjectsDrawer implements Drawer {
    private dynamicObjectsModel;
    private canvasModel;
    constructor(dynamicObjectsModel: DynamicObjectsModel, canvasModel: CanvasModel);
    draw(): void;
    getCanvasIds(): string[];
}
