/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
export class DynamicObjectsDrawer {
    constructor(dynamicObjectsModel, canvasModel) {
        this.dynamicObjectsModel = dynamicObjectsModel;
        this.canvasModel = canvasModel;
    }
    draw() {
        const objects = this.dynamicObjectsModel.objects;
        Object.entries(objects).forEach(([paneUUID, list]) => {
            for (const obj of list) {
                const { model, drawer } = obj;
                drawer.draw(this.canvasModel, model, paneUUID);
            }
        });
    }
    getCanvasIds() {
        return [this.canvasModel.canvasId];
    }
}
