/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { ChartBaseElement } from '../../model/chart-base-element';
import { HighLowDrawer } from './high-low.drawer';
/**
 * Shows the highest and lowest prices labels over all candles in chart (not only in viewport).
 */
export class HighLowComponent extends ChartBaseElement {
    constructor(config, canvasModel, chartModel, canvasBoundsContainer, drawingManager) {
        super();
        const hiLowDrawer = new HighLowDrawer(canvasModel, chartModel, config, canvasBoundsContainer);
        drawingManager.addDrawer(hiLowDrawer, 'HIGH_LOW');
    }
}
