/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { CanvasAnimation } from '../../animation/canvas-animation';
import { CanvasBoundsContainer } from '../../canvas/canvas-bounds-container';
import { FullChartConfig } from '../../chart.config';
import EventBus from '../../events/event-bus';
import { ChartBaseElement } from '../../model/chart-base-element';
import { CanvasInputListenerComponent } from '../../inputlisteners/canvas-input-listener.component';
import { ScaleModel } from '../../model/scale.model';
import { ChartAreaPanHandler } from '../chart/chart-area-pan.handler';
import { BaseType, ChartBaseModel } from '../chart/chart-base.model';
import { HitTestCanvasModel } from '../../model/hit-test-canvas.model';
import { MainCanvasTouchHandler } from '../../inputhandlers/main-canvas-touch.handler';
export declare class ChartPanComponent extends ChartBaseElement {
    private eventBus;
    private mainScale;
    private canvasBoundsContainer;
    private config;
    private canvasAnimation;
    private canvasInputListener;
    private mainCanvasParent;
    chartBaseModel: ChartBaseModel<BaseType>;
    private hitTestCanvasModel;
    chartAreaPanHandler: ChartAreaPanHandler;
    mainCanvasTouchHandler: MainCanvasTouchHandler;
    constructor(eventBus: EventBus, mainScale: ScaleModel, canvasBoundsContainer: CanvasBoundsContainer, config: FullChartConfig, canvasAnimation: CanvasAnimation, canvasInputListener: CanvasInputListenerComponent, mainCanvasParent: Element, chartBaseModel: ChartBaseModel<BaseType>, hitTestCanvasModel: HitTestCanvasModel);
    /**
     * Activates user mouse handlers on main chart view.
     * @function
     * @name activateChartPanHandlers
     * @memberof [object Object]
     * @instance
     * @returns {void}
     */
    activateChartPanHandlers(): void;
    /**
     * Deactivates all the pan handlers of the chart.
     */
    deactivatePanHandlers(): void;
    setChartPanningOptions(horizontal: boolean, vertical: boolean): void;
}
