/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { CanvasBoundsContainer } from '../../../canvas/canvas-bounds-container';
import { FullChartConfig } from '../../../chart.config';
import { Drawer } from '../../../drawers/drawing-manager';
import { CanvasModel } from '../../../model/canvas.model';
import { PaneManager } from '../../pane/pane-manager.component';
import { LabelGroup } from './y-axis-labels.model';
export declare class YAxisPriceLabelsDrawer implements Drawer {
    private yAxisLabelsCanvasModel;
    private yAxisDescriptionsCanvasModel;
    private backgroundCanvasModel;
    private canvasBoundsContainer;
    private fullConfig;
    private paneManager;
    constructor(yAxisLabelsCanvasModel: CanvasModel, yAxisDescriptionsCanvasModel: CanvasModel, backgroundCanvasModel: CanvasModel, canvasBoundsContainer: CanvasBoundsContainer, fullConfig: FullChartConfig, paneManager: PaneManager);
    draw(): void;
    drawHighlightedBackgroundBetweenLabels(orderedLabels: LabelGroup[]): void;
    getCanvasIds(): Array<string>;
}
