/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { Drawer } from './drawing-manager';
import { CanvasModel } from '../model/canvas.model';
import { FullChartConfig } from '../chart.config';
export declare class BackgroundDrawer implements Drawer {
    private canvasModel;
    private config;
    private drawPredicate;
    constructor(canvasModel: CanvasModel, config: FullChartConfig, drawPredicate?: () => boolean);
    private prevState;
    isColorsChanged: () => boolean;
    draw(): void;
    getCanvasIds(): Array<string>;
}
export declare const redrawBackgroundArea: (backgroundCtx: CanvasRenderingContext2D, ctx: CanvasRenderingContext2D, x: number, y: number, width: number, height: number, opacity?: number) => void;
